FROM python:3.11
 
# 设置工作目录
WORKDIR /app
 
# copy文件到容器
COPY . /app

RUN pip install --no-cache-dir --upgrade -r /app/requirements.txt -i https://mirrors.aliyun.com/pypi/simple/

# 启动命令
CMD ["uvicorn", "main:app", "--host", "0.0.0.0", "--port", "9201"]